Author Topic: Code::Blocks Win98  (Read 3421 times)

ghost

  • Guest
Code::Blocks Win98
« on: July 30, 2008, 05:45:04 pm »
IŽd like to use Code::Blocks but the newest Version dont run on Win98SE  :(

Perhaps you can help me and tell me which is the last Win98-Version and if possible where i can get it?!

Offline JGM

  • Lives here!
  • ****
  • Posts: 518
  • Got to practice :)
Re: Code::Blocks Win98
« Reply #1 on: July 30, 2008, 06:23:59 pm »
Quote
Is Unicode supported?
Yes, Unicode is fully supported under Windows NT/2000 and there is limited support for it under Windows 9x using MSLU.

The link for necessary files and documentation:
http://www.microsoft.com/globaldev/handson/dev/mslu_announce.mspx

ghost

  • Guest
Re: Code::Blocks Win98
« Reply #2 on: July 30, 2008, 07:34:55 pm »
I use the inofficial Win98 SE update which includes the MSLU but i dont whats now to do?

Offline JGM

  • Lives here!
  • ****
  • Posts: 518
  • Got to practice :)
Re: Code::Blocks Win98
« Reply #3 on: July 30, 2008, 11:10:04 pm »
Try compiling wxwidgets yourself with mslu support (i think the define is wxUSE_UNICODE_MSLU) and codeblocks. I dont know exactly how this is done. Try searching on google also for "wxwidgets mslu windows 98" or something like that and read wxwidgets documentation. Or just compile in ansi mode.

Offline TDragon

  • Lives here!
  • ****
  • Posts: 936
    • Twilight Dragon Media
Re: Code::Blocks Win98
« Reply #4 on: July 31, 2008, 01:01:56 am »
There is also an unsupported ANSI build of Code::Blocks 8.02 which I created and posted here.
http://tdm-gcc.tdragon.net/ - TDM-GCC compiler suite for Windows (GCC 5.1.0 2015-06-28, 32/64-bit, no extra DLLs)